# 🌟 Linkup Python MCP Server

A Model Context Protocol (MCP) server that provides web search capabilities through Linkup's advanced search API. This server enables AI assistants and development tools to perform intelligent web searches with natural language queries.

<a href="https://glama.ai/mcp/servers/69qbbv8hl9"><img width="380" height="200" src="https://glama.ai/mcp/servers/69qbbv8hl9/badge" alt="mcp-search-linkup MCP server" /></a>

## ✨ Why Linkup?

- 🔍 **Advanced Web Search**: Leverage Linkup's AI-powered search engine for high-quality, relevant results
- 💬 **Natural Language Queries**: Ask questions in plain English or your preferred language - no need for keyword optimization
- 🚀 **Real-time Information**: Access up-to-date web content and current information
- 📚 **Comprehensive Results**: Get detailed search results with source citations
- 🔧 **Easy Integration**: Works with any MCP-compatible client

## 🚀 Installation

The Linkup MCP server can be used with any MCP-compatible client. 

For an integration with Claude Desktop or with Cursor, please follow instruction [here](https://docs.linkup.so/pages/integrations/mcp/mcp).

For other MCP-compatible clients, use these connection details:

- **Command**: `python -m linkup_mcp_server`
- **Required Environment Variables**: `LINKUP_API_KEY`

Consult your MCP client's documentation for specific configuration instructions.

## 💬 Example Queries

The Linkup MCP server excels at answering complex questions and finding specific information:

- "What are the latest developments in quantum computing?"
- "How does the EU AI Act affect startups?"
- "Find recent research on sustainable aviation fuel"
- "What are the current best practices for MCP server development?"

## 🤝 Contributing

Pull requests are welcome! Feel free to open an issue first to discuss what you’d like to see improved.

## 📚 Resources

- [Linkup Documentation](https://docs.linkup.so)
- [MCP Protocol Specification](https://modelcontextprotocol.io)
- [Linkup API Reference](https://docs.linkup.so/api-reference)

## 📣 Community & Support

* Email: [support@linkup.so](mailto:support@linkup.so)
* Discord: [Join our community](https://discord.com/invite/9q9mCYJa86)
* X / Twitter: [@Linkup_platform](https://x.com/Linkup_platform)

## 📄 License

This project is licensed under the MIT License - Innovate freely! 🚀
